#include <bits/stdc++.h>

using namespace std;

string zadatak(){
    int N, M, K, p, u, n;
    cin >> N >> M >> K;
    p = N % K;
    N -= p;
    n = N / K;
    u = p * (n + 1) * (n + 2) / 2 + (K - p) * (n + 1) * n / 2;
    if(u > M){
        return "Nie";
    }
    else{
        return "Tak";
    }
}

int main()
{
    int T;
    cin >> T;
    string s[T];
    for(int i = 0; i < T; i++){
        s[i] = zadatak();
    }
    for(int i = 0; i < T; i++){
        cout << s[i] << endl;
    }

    return 0;
}